#
# spec file for package transifex-client
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           transifex-client
Version:        0.12.4
Release:        bp155.2.10
Summary:        Transifex Command-line Client
License:        GPL-2.0
Group:          Productivity/Text/Utilities
Url:            https://github.com/transifex/transifex-client
Source:         https://github.com/transifex/transifex-client/archive/%{version}.tar.gz
BuildRequires:  python3-mock
BuildRequires:  python3-setuptools
BuildRequires:  python3-urllib3
Requires:       python3-setuptools
Requires:       python3-urllib3
BuildArch:      noarch

%description
The Transifex Command-line Client is a command line tool that enables you
to easily manage your translations within a project without the need of
an elaborate UI system.

You can use the command-line client to easily create new resources, map
locale files to translations and synchronize your Transifex project with
your local repository and vice verca. Translators and localization
managers can also use it to handle large volumes of translation files
easily and without much hassle.

%prep
%setup -q

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
# remove pem file
rm %{buildroot}/%{python3_sitelib}/txclib/cacert.pem

%check
python3 setup.py test

%files
%defattr(-,root,root)
%doc README.md LICENSE
%{_bindir}/tx
%{python3_sitelib}/*

%changelog
* Wed May  3 2017 tchvatal@suse.com
- Version update to 0.12.4:
  * XLIFF and tokens support
- Switch to python3, no need to keep python2 around
* Tue Sep 13 2016 astieger@suse.com
- license is GPL-2.0, "or later" is not mentioned anywhere upstream
* Sat Sep 10 2016 tchvatal@suse.com
- Add python-urllib3 to requires
* Wed Aug 24 2016 tchvatal@suse.com
- Update download url to github
* Wed Aug 24 2016 buschmann23@opensuse.org
- Update to 0.12.2
  * better proxy support
- Update to 0.12.1
  * support new style URLs
  * better error handling
- Update to 0.12.b
  * fix support for downloading docx, xlsx
* Fri Jan  8 2016 tchvatal@suse.com
- Update/downgrade to 0.11 that is newer than 0.11.1beta...
  * Few extra commits over the 0.11.1beta
* Fri Nov  6 2015 buschmann23@opensuse.org
- Add python-setuptools to the Requires
* Fri Mar 13 2015 tchvatal@suse.com
- Version bump to 0.11.1.beta:
  * Various small bugfixes
* Wed May 28 2014 tchvatal@suse.com
- Version bump to 0.11.beta:
  * drop our patch of using system-urllib3.patch which broke things
    as upstream does not really work that way
  * Enable tests again as upstream tarball now has them.
* Thu Mar 20 2014 speilicke@suse.com
- Use PyPI source URL
- Drop %%clean section, the official tarball doesn't include tests
- Correct macro usage to fix SLE build
* Wed Dec 18 2013 tchvatal@suse.com
- Version bump to 0.10:
  * try to use urllib3
  * fix various mitm attacks over this
- Add patch system-urllib3.patch which does exactly what name say.
  * Should also fix bnc#855579
- Enable test execution so we see if it is borked or not.
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Oct  9 2013 tchvatal@suse.com
- Version bump to 0.9.2:
  * upstream changed distribution to be only from github
  * fix few issues when communicating with transifex api
* Thu May 23 2013 tchvatal@suse.com
- Version bump to 0.9
  * SSL layer updates
  * various build fixes
* Wed Jan  2 2013 toddrme2178@gmail.com
- Fix building on SLES
* Sat Dec  1 2012 tchvatal@suse.com
- Update the spec to be up par with suse stuff
* Tue Oct 16 2012 i@marguerite.su
- initial package 0.8
  * Enable support for compressed responses from Transifex.
  * Specify a custom User-Agent header for the HTTP requests performed by the client.
  * Specify a timeout of 5min for each request, so that the client does not block indefinitely.
  * Offer to migrate the .transifexrc file to use secure (SSL) connections by default, when connecting to Transifex servers, and the new domain, Transifex.com. The migration process does not update the .tx/config file, since that file might be part of a repository.
  * Send warning messages to standard output. This means that only actual errors are sent to standard error and, as a result, redirecting the output works correctly.
  * Don’t use colors, when the output is not a TTY. As a result, the output of the client when piped to other programs will not be garbled.
